
From: Nick Piggin <nickpiggin@yahoo.com.au>

Do some basic initial tuning.

Signed-off-by: Nick Piggin <nickpiggin@yahoo.com.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-x86_64/topology.h |    3 +--
 25-akpm/include/linux/topology.h      |    9 ++++-----
 2 files changed, 5 insertions(+), 7 deletions(-)

diff -puN include/asm-x86_64/topology.h~sched-basic-tuning include/asm-x86_64/topology.h
--- 25/include/asm-x86_64/topology.h~sched-basic-tuning	2005-03-10 19:09:34.000000000 -0800
+++ 25-akpm/include/asm-x86_64/topology.h	2005-03-10 19:09:34.000000000 -0800
@@ -52,12 +52,11 @@ static inline cpumask_t __pcibus_to_cpum
 	.cache_nice_tries	= 2,			\
 	.busy_idx		= 3,			\
 	.idle_idx		= 2,			\
-	.newidle_idx		= 1, 			\
+	.newidle_idx		= 0, 			\
 	.wake_idx		= 1,			\
 	.forkexec_idx		= 1,			\
 	.per_cpu_gain		= 100,			\
 	.flags			= SD_LOAD_BALANCE	\
-				| SD_BALANCE_NEWIDLE	\
 				| SD_BALANCE_FORK	\
 				| SD_BALANCE_EXEC	\
 				| SD_WAKE_BALANCE,	\
diff -puN include/linux/topology.h~sched-basic-tuning include/linux/topology.h
--- 25/include/linux/topology.h~sched-basic-tuning	2005-03-10 19:09:34.000000000 -0800
+++ 25-akpm/include/linux/topology.h	2005-03-10 19:09:34.000000000 -0800
@@ -121,15 +121,14 @@
 	.cache_nice_tries	= 1,			\
 	.per_cpu_gain		= 100,			\
 	.busy_idx		= 2,			\
-	.idle_idx		= 0,			\
-	.newidle_idx		= 1,			\
+	.idle_idx		= 1,			\
+	.newidle_idx		= 2,			\
 	.wake_idx		= 1,			\
-	.forkexec_idx		= 0,			\
+	.forkexec_idx		= 1,			\
 	.flags			= SD_LOAD_BALANCE	\
 				| SD_BALANCE_NEWIDLE	\
 				| SD_BALANCE_EXEC	\
-				| SD_WAKE_AFFINE	\
-				| SD_WAKE_BALANCE,	\
+				| SD_WAKE_AFFINE,	\
 	.last_balance		= jiffies,		\
 	.balance_interval	= 1,			\
 	.nr_balance_failed	= 0,			\
_
